#ifndef _Application_H_
#define _Application_H_

#include <Wt/WApplication.h>


#include "Landing/widgets/Landing_PlaceHolder.h"

namespace ApplicationNS
{
class Application : public Wt::WApplication
{
public:
    Application(const Wt::WEnvironment &env);
    ~Application();


private:
    void setupResourceBundles();
    void createLayout();
    void setupConnections();
    void setupStyles();

    Widgets::Landing::Placeholder *place_Lander;
    Wt::WContainerWidget *container;


};
}

#endif //_LogSplitter_START_H_
