#ifndef _LS__WIDGET_LANDING_PLACEHOLDER_H_
#define _LS__WIDGET_LANDING_PLACEHOLDER_H_

#include <Wt/WContainerWidget.h>
#include <Wt/WTemplate.h>
#include <Wt/WString.h>
#include <Wt/WLineEdit.h>
#include <Wt/WCheckBox.h>
#include <Wt/WPushButton.h>

namespace ApplicationNS
{
namespace Widgets
{
namespace Landing
{

class Placeholder : public Wt::WContainerWidget
{
public:
    Placeholder ();
    ~Placeholder();

private:
    void createLayout();
    void setupConnections();

    void con_btn_Send_clicked();

private:
    Wt::WTemplate *tmpl_Layout;
    Wt::WLineEdit *le_input_Name;

    Wt::WPushButton *btn_Send;

    Wt::WText *txt_greeting;

};

}}} // end Namespaces

#endif //_LS__WIDGET_LANDING_PLACEHOLDER_H_

